> ## Documentation Index
> Fetch the complete documentation index at: https://docs.multchats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar gatilhos de automação

> Lista todos os gatilhos de automação da empresa.



## OpenAPI

````yaml GET /automation/list
openapi: 3.1.0
info:
  title: OpenAPI Multchats
  description: Multchats API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.multchats.com/v2
security:
  - bearerAuth: []
paths:
  /automation/list:
    get:
      tags:
        - Automation
      summary: Listar gatilhos de automação
      description: Lista todos os gatilhos de automação da empresa.
      responses:
        '200':
          description: Gatilhos listados com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAutomationTriggersResponse'
        '400':
          description: Erro na requisição
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListAutomationTriggersResponse:
      type: object
      properties:
        success:
          description: Indica se a operação foi bem-sucedida
          type: boolean
        data:
          type: object
          properties:
            triggers:
              description: Lista de gatilhos de automação
              type: array
              items:
                $ref: '#/components/schemas/AutomationTrigger'
    Error:
      required:
        - success
        - message
      type: object
      properties:
        success:
          description: Indica se a operação foi bem-sucedida
          type: boolean
          default: false
        message:
          description: Mensagem de erro (quando success é false)
          type: string
          default: Erro ao enviar mensagem
    AutomationTrigger:
      type: object
      properties:
        id:
          description: ID do gatilho
          type: string
        name:
          description: Nome do gatilho
          type: string
        description:
          description: Descrição do gatilho
          type: string
        triggerType:
          $ref: '#/components/schemas/TriggerType'
        webhookId:
          description: ID do webhook (quando triggerType é RECEIVE_WEBHOOK)
          type: string
          nullable: true
        paused:
          description: Indica se o gatilho está pausado
          type: boolean
        tagId:
          description: ID da tag vinculada
          type: string
          nullable: true
        inAttendance:
          description: Executar apenas quando o chat estiver em atendimento
          type: boolean
        specificMessage:
          description: Mensagem específica do gatilho
          type: string
          nullable: true
        chatType:
          $ref: '#/components/schemas/AutomationChatType'
        delayMinutes:
          description: Atraso em minutos antes de executar a automação
          type: integer
          nullable: true
        transferType:
          $ref: '#/components/schemas/AutomationTransferType'
        moveToQueue:
          description: Mover o chat para a fila após a automação
          type: boolean
          nullable: true
        createdAt:
          description: Data de criação
          type: string
          format: date-time
        updatedAt:
          description: Data de atualização
          type: string
          format: date-time
        automationTypebot:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
        IntegrationAutomation:
          type: array
          items:
            type: object
            properties:
              integration:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
    TriggerType:
      type: string
      enum:
        - RECEIVE_ANY_MESSAGE
        - RECEIVE_FIRST_MESSAGE
        - RECEIVE_SPECIFIC_MESSAGE
        - ADD_TAG_TO_CONTACT
        - REMOVE_TAG_FROM_CONTACT
        - RECEIVE_WEBHOOK
        - SERVICE_CONTINUITY
    AutomationChatType:
      type: string
      enum:
        - CONTACT
        - GROUP
        - ALL
    AutomationTransferType:
      type: string
      enum:
        - ALL
        - USER
        - AUTOMATION
        - API
        - AUTOMATION_AND_API
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````